Description object of ONT ID

### Hierarchy

- DDO

## Index

### Properties

- attributes
- publicKeys
- recovery

### Methods

- deserialize

## Properties

### attributes

attributes: DDOAttribute[] = []

- Defined in transaction/ddo.ts:140

Array of attributes

### publicKeys

publicKeys: PublicKeyWithId[] = []

- Defined in transaction/ddo.ts:136

Array of public keys

### recovery

recovery: string = ""

- Defined in transaction/ddo.ts:144

Recovery of DDO

## Methods

### Static deserialize

- deserialize(hexstr: string): DDO

- - Defined in transaction/ddo.ts:111

  Deserialize from hex string to DDO

  #### Parameters

  - ##### hexstr: string

    Hex encoded string

  #### Returns DDO

Generated using TypeDoc